> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/access-review-settings/reviewuicustomizations.md).

# Review UI Customizations

Customize notes behavior and UI elements for reviewers.

By default, when a reviewer approves a row, a "notes" pop-up appears, allowing the user to optionally add a note explaining their decision. When a reviewer rejects a row, the "notes" pop-up appears, and adding a note is required. This API allows you to customize this behavior. For example, you can choose to disable the pop-up when a row is approved and make the notes pop-up optional when a row is rejected.

Additionally, this API can enable the historical "Approve & Signoff" action in the reviewer experience when multiple rows are selected. **Note**: It is recommended that this feature remains disabled to ensure a more streamlined reviewer experience.

## Parameters

`accept_notes_behavior` can be:

* `NOTES_BEHAVIOR_UNKNOWN` = 0
* `NO_POP_UP` = 1
* `POP_UP_OPTIONAL` = 2
* `POP_UP_REQUIRED` = 3

`reject_notes_behavior` can be:

* `NOTES_BEHAVIOR_UNKNOWN` = 0
* `NO_POP_UP` = 1
* `POP_UP_OPTIONAL` = 2
* `POP_UP_REQUIRED` = 3

`approve_and_sign_off_button_behavior` can be:

* `HIDE_OR_SHOW_BEHAVIOR_UNKNOWN` = 0
* `SHOW` = 1
* `HIDE` = 2

`diff_dropdown_behavior` can be:

* `NORMAL` = 1 (Enables all users to see decisions and access changes from previous reviews for the same configuration)
* `ALWAYS_HIDE_FOR_ACCESS_REVIEWER_ROLE` = 2 (Prevents users with the "Access Reviewer" role from accessing this option)

## Example

```json
{
    "value": {
        "diff_dropdown_behavior": "ALWAYS_HIDE_FOR_ACCESS_REVIEWER_ROLE",
        "accept_notes_behavior": "NO_POP_UP",
        "reject_notes_behavior": "POP_UP_REQUIRED",
        "approve_and_sign_off_button_behavior": "SHOW"
    }
}
```

## Get Review UI Customizations

{% openapi src="/files/ers611LIum35cy5f6yME" path="/api/private/workflows/access/global\_settings/ui\_customization\_settings" method="get" %}
[access-review-global-settings.yaml](https://1967633068-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MZDkWMxox3pekd0NsZJ%2Fuploads%2Fgit-blob-216f994bde88774a2b44f94f0d225a27aeb57b45%2Faccess-review-global-settings.yaml?alt=media)
{% endopenapi %}

## Set Review UI Customizations

{% openapi src="/files/ers611LIum35cy5f6yME" path="/api/private/workflows/access/global\_settings/ui\_customization\_settings" method="put" %}
[access-review-global-settings.yaml](https://1967633068-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MZDkWMxox3pekd0NsZJ%2Fuploads%2Fgit-blob-216f994bde88774a2b44f94f0d225a27aeb57b45%2Faccess-review-global-settings.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/access-review-settings/reviewuicustomizations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
